<chapter xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xi="http://www.w3.org/2001/XInclude" version="5.0" xml:lang="hu">
    <info>
        <title>Helló, Gutenberg!</title>
        <keywordset>
            <keyword/>
        </keywordset>
        <cover>
            <para>
                Programozás tankönyvek rövid olvasónaplói.
            </para>
        </cover>
    </info>
    <section>
        <title>Programozási alapfogalmak</title>
        <para>         
            <citation>PICI</citation>       
        </para>
	<para>
	<emphasis>A programozási nyelveknek három szintje lehet:</emphasis>
	</para>	
	<para>
	-Gépi nyelv:
	</para>
	<para>
	A számítástechnikában használt műveletek és adatok olyan sora, amely a számítógép processzora számára közvetlen utasításként értelmezhető. A gépi kód az egyetlen "nyelv", amit a számítógép központi parancsvégrehajtó egysége, a processzor megért, ezért minden programozási nyelvet gépi kóddá kell alakítani ahhoz, hogy a program végrehajtható legyen. Ezt az átalakítást végzik a fordítóprogramok.
	</para>
	<para>
	-Assembly szintű nyelv:
	</para>
	<para>
	A gépi kódhoz legközelebb álló, és így helykihasználás és futási idő szempontjából a leghatékonyabb általános célú programozási nyelv.Az assembly kódot az assembler fordító alakítja gépi kóddá.
	</para>
	<para>
	-Magas szintű nyelv:
	</para>
	<para>
	A  magas szintű  nyelven  megírt  programot forrásprogramnak,  vagy forrásszövegnek  nevezzük. A forrásszöveg összeállítására vonatkozó formai, „nyelvtani” szabályok összességét szintaktikaiszabályoknak  hívjuk.  A  tartalmi,  értelmezési, jelentésbeli szabályok  alkotják  a szemantikaiszabályokat. Egy magas szintű programozási nyelvet szintaktikai és szemantikai szabályainak együttese határoz meg.
	</para>
	<para>
	A magas szintű nyelven megírt forrásszövegből tehát valamilyen  módon  gépi  nyelvű programokhoz kell eljutni. Erre  kétféle  technika  létezik, a fordítóprogramos és az interpreteres. A fordítóprogram egy speciális program,    amely a magas szintű nyelven megírt forrásprogramból gépi kódú tárgyprogramot    állít elő.
	</para>
	<para>
	Ez a következő lépésekben történik:
	</para>
	<para>
	– lexikális elemzés: A forráskód tokenizálása, felbontása a szintaktikai elemzőnek értelmezhető szimbólumokká.
	</para>
	<para>
	-szintaktikai elemzés: A nagyrészt környezetfüggetlen nyelvtan alapján felépíti a szintaxisfát, az esetleges hibákat tudása szerint átugorva.
	</para>
	<para>
	-szemantikai elemzés: A dinamikus szemantika ellenőrzése történik ebben a szakaszban, típusellenőrzések, függvények paraméterszáma, típushelyessége, általában a programkód értelmessége.
	</para>
	<para>
	-kódgenerálás: A már elemzett forráskódból a fordítóprogram különböző módszerek felhasználásával előállítja a tárgykódot.
	</para>
	<para>
	Az így kapott kód még nem futtatható, belőle  futtatható  programot  a szerkesztő vagy kapcsolatszerkesztő  állít  elő.  A  futtatható  programot  a betöltő helyezi  el  a tárban, és adja át neki a vezérlést. A futó program mőködését a futtató rendszer felügyeli.
	</para>
	<para>
	Létezik olyan a magas szintű programozási nyelvek között, amelyben olyan forrásprogramot lehet írni, ami tartalmaz nem nyelvi elemeket is, ilyenkor előfordítót kell használnunk. Pl.: C.
	</para>
	<para>
	Az  interpreteres  technika  esetén  is  megvan  az  első  három  lépés,  de  az  interpreter  nem készít tárgyprogramot. Az  egyes  programnyelvek  vagy  fordítóprogramosak,  vagy  interpreteresek,  vagy  együttesen alkalmazzák mindkét technikát. 
	</para>
	<para>
	Minden programnyelvnek megvan a saját szabványa, amit hivatkozási nyelvnek hívunk. Ebben pontosan definiálva vannak a szintaktikai és a szemantikai szabályok.
	</para>
	<para>
	A hivatkozási nyelv mellett léteznek az implementációk. Ezek egy adott platformon (processzor, operációs rendszer) realizált fordítóprogramok vagy interpreterek.
	</para>
	<para>
	Napjainkban  a  programok  írásához  grafikus integrált  fejlesztői  környezetek  (IDE - Integrated Development  Enviroment)  állnak  rendelkezésünkre.  Ezek  tartalmaznak  szövegszerkesztőt, fordítót, kapcsolatszerkesztőt, betöltőt, futtató rendszert és belövőt.
	</para>
	<para>
	<emphasis>Programnyelvek osztályozása:</emphasis>
	</para>
	<para>
	Imperatív nyelvek:
	</para>
		<para>
		-Algoritmikus nyelvek
		</para>
		<para>
		-A program utasítások sorozata
		</para>
		<para>
		-Legfőbb programozói eszköz a változó
		</para>
		<para>
		-Szorosan kötődnek a Neumann-architectúrához
		</para>
		<para>
		-Alcsoportjai: eljárásorientált nyelvek, objektumorientált nyelvek
		</para>
	<para>
	Dekleratív nyelvek:
	</para>
		<para>
		-Nem algoritmikus nyelvek
		</para>
		<para>
		-Nem kötődnek olyaan szorosan a Neumann-architectúrához
		</para>
		<para>
		-A programozó csak a problémát adja meg
		</para>
		<para>
		-A programozónak korlátozott lehetőségei vannak a memóriaműveletekben
		</para>
		<para>
		-A programozónak korlátozott lehetőségei vannak a memóriaműveletekben
		</para>
	<para>
	Máselvű (egyéb) nyelvek:
	</para>
		<para>
		-Olyan nyelvek, amelyek máshova nem sorolhatók
		</para>
		<para>
		-Nincs egységes jellemzőjük
		</para>
		<para>
		-Általában tagadják valamelyik imperatív jellemzőt
		</para>
	<para>
	<emphasis>Alapelemek:</emphasis>
	</para>	
	<para>
	Karakterkészlet:
	</para>
	<para>
	A forrásszöveg összeállításánál  alapvető a karakterkészlet, ennek elemei jelenhetnek meg az adott nyelv programjaiban, ezekből állíthatók össze a bonyolultabb nyelvi elemek. Minden nyelv definiálja a saját karakterkészletét. A karakterkészletek között lényeges eltérések lehetnek, de a programnyelvek általában a karaktereket a következő módon kategorizálják: betűk, számjegyek, egyéb karakterek. Minden programnyelvben betű az angol ABC 26 nagybetűje. A nyelvek továbbá betűkategóriájú karakternek tekintik gyakran az _ , $ , #, @ karaktereket is. Az egyéb karakterek közé tartoznak a műveleti jelek (pl. +, -, *, /), elhatároló jelek (pl. [, ], ., :, {, }, ’, ", ;), írásjelek (pl. ?, !)  és a speciális karakterek (pl. ~). A program szövegében kitüntetett szerepet játszik a szóköz, mint egyéb karakter. A hivatkozási nyelv és az implementációk karakterkészlete eltérı is lehet. Minden implementáció mögött egy-egy konkrét kódtábla (EBCDIC, ASCII, UNICODE) áll.
	</para>
	<para>
	Lexikális  egységek: a program szövegének azon elemei, melyeket a fordító a lexikális elemzés során felismer és tokenizál.
	</para>
	<para>
	<emphasis>A forrásszöveg összeállításának általános szabályai:</emphasis>
	</para>	
	<para>
	Kötött  formátumú  nyelvek: Egy sorban egy utasítás helyezkedett el, tehát a sorvége jelezte az utasítás végét. A  sor  bizonyos pozícióira   csak   bizonyos   programelemek   kerülhettek.
	</para>
	<para>
	Szabad formátumú nyelvek: Ezeknél a nyelveknél a sornak és az utasításnak semmi kapcsolata nincs   egymással.   Egy   sorba   akárhány   utasítás   írható,   egy   utasítás   akárhány   sorban elhelyezhetı.  A  sorban  tetszőleges  helyen  jelenhetnek  meg  az  egyes  programelemek. Ezek  a  nyelvek  bevezetik  az  utasítás végjelet, ami általánosan a pontosvessző.
	</para>    
	</section>        
    <section>
        <title>Programozás bevezetés</title>
        <para>                
            <citation>KERNIGHANRITCHIE</citation>
        </para>
	<para>
	A C egy általános célú programozási nyelv, melyet Dennis Ritchie fejlesztett ki Ken Thompson segítségével 1969 és 1973 között. Mindezek ellenére a nyelv nem kötődik szorosan egyetlen operációs rendszerhez vagy számítógéphez sem.
	</para>
	<para>
	A C programozási nyelv legegyszerűbb prigramja a HelloWorld. Ez a program azt tudja, hogy a kimenetben megjeleníti a Hello World szöveg. Minden C program neve .c-re végződik, így ennek a programnak is például hello.c nevet adhatunk. Ezt a programot ugyanúgy fordítani, majd futtatni kell. Fordítani a cc hello.c paranccsal tudunk, ekkor létrejön egy a.out fájl, amit futtatunk, és megjelenik az adott szöveg. 
	</para>
	<para>
	A main a feladat végrehajtása érdekében általában további függvényeket hív, és ezeket vagy a programmal együtt mi írjuk, vagy a függvénykönyvtárban találhatók. 
	</para>
	<para>
	A main() egy függvény, mely után {} kapcsos zárójelek közé írjuk az utasításokat. A printf("Hello World\n"); parancs fogja kiírni az idézőjelben lévő szöveget.
	</para>
	<para>
	A printf függvénnyel tudunk kiíratni változóban tárolt értéket is, ezekhez a következő formátumspecifikációkat használjuk:
	</para>
		<para>%d	a számot decimális egészként írja ki;</para>
		<para>%6d      a számot decimális egészként, legalább hat karakter széles mezőbe írja ki;</para>
		<para>%f       a számot lebegőpontosként írja ki;</para>
		<para>%6f      a számot lebegőpontosként, legalább 6 karakter széles mezőbe írja ki;</para>
		<para>%.2f     a számot lebegőpontosként, két tizedessel írja ki;</para>
		<para>%6.2f    a számot lebegőpontosként, legalább 6 karakter széles mezőbe, két tizedessel írja ki.</para>
	<para>
	Többek közt a printf függvény a %o specifikációt az oktális, a %x specifikációt a hexadecimális, a %s specifikációt a karakterlánc típusú kiíráshoz, és a %% specifikációt pedig a % jel kiírására használja.
	</para>
	<para>
	<emphasis>A for és while utasítás:</emphasis>
	</para>	
	<para>
	A for utasítás szintén egy ciklusszervező utasítás, a while utasítás általánosítása. Ha összehasonlítjuk a korábban használt while utasítással, a for működése teljesen világos. A zárójelek között három, egymástól pontosvesszővel elválasztott rész található. Az első, kezdeti értékadó rész amit csak egyszer hajt végre a program, a ciklusba való belépés előtt. A második rész a ciklust vezérlő ellenőrzés vagy feltétel. Működés közben a gép megvizsgálja ezt a feltételt, és ha igaz, akkor végrehajtja a ciklusmagot. Ezután történik a lépésközzel való növelés. A ciklus akkor fejeződik be, ha a feltétel értéke hamis lesz. A while és a for között szabadon választhatunk aszerint, hogy számunkra melyik tűnik világosabbnak. A for utasítás általában akkor előnyös, ha a kezdeti értékadás és lépésközzel való növelés egy-egy logikailag összefüggő utasítás, mivel ekkor a for utasítással szervezett ciklus sokkal tömörebb a while utasítással szervezett ciklusnál és a ciklust vezérlő utasítások egy helyen vannak.
	</para>
	<para>
	Szimbolikus állandók:  A #define szerkezet lehetővé teszi, hogy egy megadott karakterlánchoz szimbolikus nevet vagy szimbolikus állandót rendeljünk.
        </para>
	<para>
	<emphasis>Karakteres adatok bevitele és kivitele:</emphasis>
	</para>	
	<para>
	Getchar: minden egyes hívásakor a szövegáramból beolvassa a következő karaktert és annak értékét adja vissza a hívó függvénynek. 
	</para>
	<para>
	Putchar: minden egyes hívásakor kiír egy karaktert.
	</para>
	<para>
	<emphasis>Tömbök:</emphasis>
	</para>	
	<para>
	A programozásban tömbnek olyan változókat neveznek, melyek több azonos típusú adatból állnak. Az elemek számát C-ben a változónév után szögletes zárójelben kell megadni. A tömbök indexei 0-val kezdődnek.
	</para>
	<para>
	<emphasis>Függvények:</emphasis>
	</para>	
	<para>
	A függvények sok esetben megkönnyítik a dolgunkat, hiszen magunk is megírhatjuk őket és elhelyezhetjük a main() fölé. Innen bármikor meghívhatjuk a főprogramon belül mikor szükségünk van rá.
	</para>
	<para>
	<emphasis>Argumentumok - az érték szerinti hívás:</emphasis>
	</para>	
	<para>
	A C nyelvben minden függvényargumentumot érték szerint adunk át. Ez azt jelenti, hogy a hívott függvény mindig az argumentumok értékét kapja meg (átmeneti változókban), azok címe helyett. C nyelvben a hívott függvény közvetlenül nem férhet hozzá és nem változtathatja meg a hívó függvény változóit, csak a saját, átmeneti másolatával dolgozhat.
	</para>
	<para>
	<emphasis>A változók érvényességi tartománya és a külső változók:</emphasis>
	</para>	
	<para>
	A függvény lokális változói csak a függvény hívásakor jönnek létre és megsemmisülnek, amikor a függvény visszaadja a vezérlést a hívó programnak. Ezért az ilyen változókat automatikus változóknak nevezzük. Az automatikus változók mellett olyan változók is definiálhatók, amelyek az összes függvényre nézve külsők, azaz amelyekhez a nevükre hivatkozva bármely függvény hozzáférhet. A külső változókat csak egyszer, az összes függvényen kívül kell definiálni, és ennek hatására tárolóhely rendelődik hozzájuk. A külső változókat minden olyan függvényben deklarálni kell, amely hozzájuk akar férni. Ez a deklaráció megadja ezen változók típusát a függvényben.
	</para>
	<para>
	<emphasis>Típusok, operátorok és kifejezések:</emphasis>
	</para>	
	<para>
	A program deklarációi felsorolják a felhasznált változókat, megadják a típusukat és néha még a kezdeti értéküket is. Az operátorok azt határozzák meg, hogy mit kell csinálni az adatokkal.
	</para>
	<para>
	<emphasis>Változónevek:</emphasis>
	</para>	
	<para>
	A nevek betűkből és számjegyekből állhatnak és az első karakterüknek betűnek kell lenni. Az aláhúzás-karakter betűnek számít. Változónevet ne kezdjünk aláhúzás-karakterrel, mivel a könyvtári eljárások gyakran használnak ilyen neveket. A nagy- és kisbetűk különböznek egymástól.
	</para>
	<para>
	<emphasis>Adattípusok és méretek:</emphasis>
	</para>	
	<para>
	A C nyelv viszonylag kevés alapvető adattípust használ:
	</para>
		<para>
		char: egyetlen bájt, a gépi karakterkészlet egy elemét tárolja 
		</para>
		<para>
		int: egész szám, mérete általában a befogadó számítógép egészek ábrázolásához használt mérete 
		</para>
		<para>
		float: egyszeres pontosságú lebegőpontos szám
		</para>
		<para>
		double: kétszeres pontosságú lebegőpontos szám
		</para>		
	<para>
	Ezekhez az alapvető adattípusokhoz még néhány minősíthető specifikáció járulhat. Ilyen az egész típusokhoz használható short és long minősítő.
	</para>
	<para>
	<emphasis>Állandók:</emphasis>
	</para>	
	<para>
	Egy egész szám bármilyen jelzés nélkül int típusú. Egy long típusú egész állandó leírásánál viszont a számot l, vagy L betűvel kell zárni, pl. 123456789L. Ez a szám túl nagy ahhoz, hogy int típusú legyen, ezért long lesz. Az előjel nélküli (unsigned) számokat az utánuk írt u vagy U betűvel jelöljük, és az ul vagy UL toldalék unsigned long típust ír elő. A lebegőpontos állandók tizedespontot vagy kitevőt vagy mindkettőt tartalmaznak, és alapértelmezésben double típusúak. A lebegőpontos állandó után írt f vagy F float, l vagy L long double típust jelöl. Ha 0x jelzést írunk a szám elé, akkor hexadecimális alakú.
	</para>
	<para>
	<emphasis>Deklarációk:</emphasis>
	</para>	
	<para>
	A felhasználása előtt minden változót deklarálni kell, bár bizonyos deklarációk implicit módon, a programkörnyezet alapján is létrejöhetnek. A deklaráció egy típust határoz meg, és utána egy vagy több adott típusú változó felsorolása áll.
	</para>
	<para>
	<emphasis>Aritmetikai operátorok:</emphasis>
	</para>
	<para>
	A C nyelv kétoperandusú aritmetikai operátorai a +, -, * és /, valamint a % modulus operátor. Az egészek osztásakor a törtrészt a rendszer levágja, ezért van szükség a % modulus operátorra. A % operátor nem alkalmazható float és double típusú adatokra.
	</para>
	<para>
	<emphasis>Relációs és logikai operátorok:</emphasis>
	</para>	
	<para>
	A C nyelv relációs operátorai: >, >=.Ez a sorrend egyben a precedenciájuk sorrendje is. Ezeknél eggyel alacsonyabb precedenciájúak az egyenlőség operátorok: ==, !=. Az ÉS és ||(VAGY) operátorokkal összekapcsolt kifejezések kiértékelése balról jobbra történik, és a kiértékelés azonnal félbeszakad, ha az eredmény igaz vagy hamis volta ismertté válik. 
	</para>
	<para>
            Megoldás videó: <link xlink:href="https://youtu.be/zmfT9miB-jY">https://youtu.be/zmfT9miB-jY</link>
        </para>        
    </section>        
    <section>
        <title>Programozás</title>
        <para>                
            <citation>BMECPP</citation>
        </para>
	<para>
	A C++ egy általános célú programozási nyelv, mely lehetővé teszi az objektumorientált és generikus programozást és alacsony szintű nyelvi konstrukciókat is támogat. Bjarne Stroustrup fejlesztette ki.
	</para>
	<para>
	<emphasis>Függvények: </emphasis>
	</para>
		<para>
		Void: C++ nyelvben az üres paraméterlista egy void paraméter megadásával lehetséges. Ennek jelentése az, hogy a függvénynek nincs paramétere.
		</para>
		<para>
		Main: Nem kötelező a return használata, a fordító automatikusan sikeres lefutást jelez.
		</para>
		<para>
		Bool: a logikai igaz/hamis értéket reprezentálja. A bool típusú változók true vagy false értéket vehetnek fel.
		</para>
	<para>
	Több-bájtos sztringek: A C-ben #includeolni kellett különböző fejlécfájlok valamelikét. A C++ nyelvben a wchar_t beépített típus lett.
	</para>
	<para>
	Változódeklaráció: C++-ban minden olyan helyen állhat változódeklaráció, ahol utasítás állhat. A változókat közvetlen azelőtt deklaráljuk, hogy használni akarnánk őket.
	</para>
    </section> 
    <section>
        <title>Python bevezetés</title>
        <para>                
          Forrás
         <link xlink:href="http://users.atw.hu/progmat/letoltesek/Bevezetes%20a%20molbiprogramozasba.pdf">http://users.atw.hu/progmat/letoltesek/Bevezetes%20a%20molbiprogramozasba.pdf</link>
        </para>
        <para>
	A Python egy magas szontű, általános célú programozási nyelv. A szkriptnyelvek családjába tartozik.  Guido van Rossum holland programozó kezdte el fejleszteni 1989 végén, majd nyilvánosságra hozta 1991-ben. A Python úgynevezett interpreteres nyelv, ami azt jelenti, hogy nincs különválasztva a forrás- és tárgykód, a megírt program máris futtatható, ha rendelkezünk a Python értelmezővel. A Python értelmezőt számos géptípusra és operációs rendszerre elkészítették, továbbá számtalan kiegészítő könyvtár készült hozzá, így rendkívül széles körben használhatóvá vált. 
	</para>
	<para>
	<emphasis>A nyelv jellemzői:</emphasis>
	</para>
	<para>
	Alkalmazások fejlesztésénél sok esetben szükség van olyan részek megírására is, melyek az adott probléma szempontjából nem relevánsak, elkészítésük mégis sok időt vesz igénybe. A Pythonban nincs szükség a fordítás fázisra, elegendő a forrást megadni és automatikusan futtatja a programot.
	</para>
	<para>
	<emphasis>Tulajdonságai:</emphasis>
	</para>
	<para>
	A standart Phyton kódkönyvtár rengeteg újrahasznosítható modult tartalmaz, amelyek meggyorsítját az alkalmazásfejlesztést. A Python egy köztes nyelv, nincs szükség fordításra, linkelésre. A Phyton segítségével tömör és mégis könnyen olvasható programokat írhatunk, melyek sokkal rövidebbek, mint ugyanaz a kód C-ben, C++-ban vagy Javaban. Ennek okai:
	</para>
		<para>
		-A magas szintű adattípusokna köszönhetően összetett kifejezéseket írjatunk le rövid állításban
		</para>
		<para>
		-A kódcsoportosítás egyszerű tagolással történik, nincs szükség zárójelezésre
		</para>
		<para>
		-Nincs szükség változó vagy argumentumdefiniálásra
		</para>
	<para>
	<emphasis>A kód szerkesztése:</emphasis>
	</para>
	<para>
	A nyelv legfőbb jellemzője, hogy behúzásalapú a szintaxisa. A programban szereplő állításokat az azonos szintű behúzásokkal tudjuk csoportokba rendezni, nincs szükség zárójelekre. Egy adott blokk végét a kisebb behúzású sor jelzi. A szkript első sora nem lehet behúzott. Fontos, hogy a behúzásokat egységesen kezeljük, vagy csak szóközt, vagy csak tabulátort használjunk. Az utasítások a sor végéig tartanak, nincs szükség pontosvesszőre. Ha egy utasítás nem fér ki egy sorba, akkor \ jelet teszünk a sor végére. Az értelmező minden sort úgynevezett tokenre bont. A megjegyzésekhez a # karaktert használjuk.
	</para>
	<para>
	<emphasis>Típusok és változók:</emphasis>
	</para>
	<para>
	A Phytonban nincs szükség a változók típusának explicit megadására. Az adattípusok a következők lehetnek: számok, sztringek, ennesek, listák, szótárak.
	</para>
	<para>
	A számok lehetnek egészek, lebegőpontosak és komplexek.  Sztringeket idézőjelek és aposztrófok közé írva is megadhatunk. Az ennesek objektumok gyűjteményei vesszővel elválasztva. Ezeket általában zárójelek közé írunk. A lista akár különböző típusú elemek rendezett szekvenciája. Elemeit szögletes zárójelek közé írjuk. A szótár kulcsokkal azonosított elemek rendezetlen halmaza. A kulcs bármilyen típusú lehet. A null értékek itt none-ként használjuk. Boolean típusként bármilyen változó felhasználható. Értéke lehet True vagy False.
	</para>
	<para>
	<emphasis>Változók és alkalmazásuk:</emphasis>
	</para>
	<para>
	A változók értékadására az = jelet használjuk. Változónak értékül adatunk egy objektumot, típust, függvényt, stb. Léteznek globális és lokális változók.
	</para>
	<para>
	<emphasis>A nyelv eszközei:</emphasis>
	</para>
	<para>
	Tetszőleges sztringet vagy más változót a print paranccsal íratunk ki.
	</para>
	<para>
	Elágazás: A nyelv támogatja az is elágazást az if/elif/else kulcsszavakkal.
	</para>
	<para>
	Ciklusok: ebben a nyelvben is megtalálható a for és a while ciklus.
	</para>
	<para>
	<emphasis>Függvények:</emphasis>
	</para>
	<para>
	Phytonban a függvényeket a def kulcsszóval definiáljuk. A függvényeknek ebben a nyelvben is vannak paraméterei, megkötései és szintaxisa. Visszatérési értékük is van, azonban visszatérhetnek ennesekkel is.
	</para>	
	<para>
	<emphasis>Osztályok és objektumok:</emphasis>
	</para>
	<para>
	A Phyton nyelv támogatja a klasszikus, objektumorientált fejlesztési eljárásokat. Definiálhatunk osztályokat, melyek példányai az objektumok. Az osztályoknak lehetnek attribútumaik: objektumok, illetve függvények. Az osztályoknak lehet egy speciális, konstruktor tulajdonságú metódusa, az _ _init_ _.
	</para>
	<para>
	<emphasis>Modulok:</emphasis>
	</para>
	<para>
	A Phyton a fejlesztés megkönnyítése érdekében sok szabványos modult tartalmaz. Ilyen például az appuifw, a messaging, a sysinfo, a camera vagy az audio.
	</para>
	<para>
	<emphasis>Kivételkezekés:</emphasis>
	</para>
	<para>
	A Phyton nyelv támogatja a kivételek kezelését. A try kulcsszó után szerepel az a kódblokk, amelyben a kivételes helyzet előállhat, majd ezt az except blokk követi, amelyre hiba esetén kerül vezérlés.
	</para>
   </section>       
</chapter>                
